CVE-2001-1091
CVSS7.2
发布时间 :2001-08-23 00:00:00
修订时间 :2008-09-05 16:25:40
NMCO    

[原文]The (1) dump and (2) dump_lfs commands in NetBSD 1.4.x through 1.5.1 do not properly drop privileges, which could allow local users to gain privileges via the RCMD_CMD environment variable.


[CNNVD]NetBSD dump和dump_lfs权限提升漏洞(CNNVD-200108-141)

        NetBSD 1.4.x到1.5.1版本的(1)dump,和(2)dump_lfs命令不正确合并权限,本地用户可以借助RCMD_CMD环境变量获取权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:netbsd:netbsd:1.4.1NetBSD 1.4.1
cpe:/o:netbsd:netbsd:1.5.1NetBSD 1.5.1
cpe:/o:netbsd:netbsd:1.5NetBSD 1.5
cpe:/o:netbsd:netbsd:1.4.3NetBSD 1.4.3
cpe:/o:netbsd:netbsd:1.4NetBSD 1.4
cpe:/o:netbsd:netbsd:1.4.2NetBSD 1.4.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1091
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1091
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200108-141
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/7037.php
(VENDOR_ADVISORY)  XF  bsd-dump-tty-privileges(7037)
ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2001-014.txt.asc
(UNKNOWN)  NETBSD  NetBSD-SA2001-014

- 漏洞信息

NetBSD dump和dump_lfs权限提升漏洞
高危 未知
2001-08-23 00:00:00 2005-10-20 00:00:00
本地  
        NetBSD 1.4.x到1.5.1版本的(1)dump,和(2)dump_lfs命令不正确合并权限,本地用户可以借助RCMD_CMD环境变量获取权限。

- 公告与补丁

        

- 漏洞信息

7562
NetBSD dump_lfs Program RCMD_CMD Variable Privilege Escalation
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

NetBSD contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when the dump_lfs(8) command (installed as /sbin/dump_lfs) fails to drop setgid tty rights, allowing a malicious user to gain tty privilieges by improperly setting the RCMD_CMD environment variable. This flaw may lead to a loss of integrity.

- 时间线

2001-08-08 Unknow
Unknow 2001-08-08

- 解决方案

Upgrade to NetBSD-current dated 2001-08-09 or later or NetBSD 1.5.x sources dated 2001-08-09 or later, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): update from CVS, re-build, and re-install dump and dump_lfs. # cd src # cvs update -d -P sbin/dump # cd sbin/dump # make cleandir dependall # make install # cd ../dump_lfs # make cleandir dependall # make install

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站